6.0.0-git
2019-03-20

[#9239] fatal error Call to a member function setIteratorFilter
Summary fatal error Call to a member function setIteratorFilter
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2010-09-08 (3115 days ago)
Due
Updated 2010-09-13 (3110 days ago)
Assigned 2010-09-08 (3115 days ago)
Resolved 2010-09-13 (3110 days ago)
Milestone
Patch No

History
2010-09-13 13:38:04 Jan Schneider State ⇒ Resolved
 
2010-09-13 13:37:49 Jan Schneider State ⇒ Not A Bug
 
2010-09-13 09:58:58 rsalmon (at) mbpgroup (dot) com Comment #6 Reply to this comment
Have you updated your registry.php file?  There were recent sidebar 
changes that changed the format of that file.
I had not seen that registry.php had been updated.
Everything works fine now.
tanks.
2010-09-11 16:36:41 Michael Slusarz Comment #5 Reply to this comment
Have you updated your registry.php file?  There were recent sidebar 
changes that changed the format of that file.
2010-09-08 21:36:31 rsalmon (at) mbpgroup (dot) com Comment #4 Reply to this comment
Try this.
I now can see the content of inbox and I'm not getting any error in 
apache's log file.
I still can't see folders in the sidebar using traditional mode, but 
everything is fine using dynamic mode!

I use prefs.php.dist and hooks.php.dist

I still do not see any error in /tmp/horde.log. I do see a few of 
those (which is good):
DEBUG: HORDE [imp] Hook mbox_label in application imp not called. [pid 
12262 on line 1697 of "/var/www/html/horde/libs/Horde.php"]
DEBUG: HORDE [imp] Hook display_folder in application imp not called. 
[pid 12262 on line 1697 of "/var/www/html/horde/libs/Horde.php"]

2010-09-08 17:20:16 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Feedback
Reply to this comment
Try this.
2010-09-08 15:33:24 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ fatal error Call to a member function setIteratorFilter
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: imaplog.txt Download
Reply to this comment
I use courier-imap
$conf['auth']['params']['app'] = 'imp';

I can login fine (traditional mode).
No folders appear in sidebar.
If I click on mailbox, I get the following fatal error :

PHP Fatal error:  Call to a member function setIteratorFilter() on a 
non-object in /var/www/html/horde/imp/lib/IMP.php on line 196, 
referer: http://127.0.0.1/horde/services/portal/

var_dump($imaptree) gives me : bool(false)

imap trace (login, then click on mailbox) attached.

I didn't see anything unusual in horde.log


this issue appears only recently.



Saved Queries